--- title: "Get channel service URL" slug: "media-livestation-channel-serviceurl" tags: ["Live Station"] updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/media-livestation-channel-serviceurl" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get channel service URL Available in Classic and VPC Get the live playback URL, time machine URL, and thumbnail URL for a live channel. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/channels/{channelId}/serviceUrls | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-channel-channellist). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceUrlType` | String | Required | Service URL type - `GENERAL` \| `TIMEMACHINE` \| `THUMBNAIL` - `GENERAL`: Live playback URL (HLS and MPEG-DASH) - `TIMEMACHINE`: Time machine URL. Can only be retrieved when the channel you set the time machine (DVR) for is streaming. - `THUMBNAIL`: Thumbnail image URL | ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/channels/ls-20250814******-zTwK2/serviceUrls?serviceUrlType=GENERAL' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: #### GENERAL The following is the response body when requesting a live playback URL. | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | - | Live playback URL information: [content](/docs/en/media-livestation-channel-serviceurl#content1) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Image quality name | | `url` | String | - | Live playback URL | | `resolution` | String | - | Video resolution | | `videoBitrate` | String | - | Video stream's bitrate (bps) | | `audioBitrate` | String | - | Audio stream's bitrate (bps) | #### TIMEMACHINE The following is the response body when requesting a time machine URL. | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | - | Time machine URL information: [content](/docs/en/media-livestation-channel-serviceurl#content2) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Image quality name | | `url` | String | - | Time machine playback URL | | `resolution` | String | - | Video resolution | | `videoBitrate` | String | - | Video stream's bitrate (bps) | | `audioBitrate` | String | - | Audio stream's bitrate (bps) | #### THUMBNAIL The following is the response body when requesting a thumbnail image URL. | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | - | Thumbnail image URL information: [content](/docs/en/media-livestation-channel-serviceurl#content3) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Thumbnail name | | `url` | String | - | Thumbnail image URL | | `resizedUrl` | Array | - | Resized thumbnail image URL list: [resizedUrl](/docs/en/media-livestation-channel-serviceurl#resizedUrl) | #### `resizedUrl` The following describes `resizedUrl`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `type` | String | - | Thumbnail image size | | `url` | String | - | Thumbnail image URL | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: #### When querying general URL The following is a sample response when querying a live playback URL. ``` { "content": [ { "name": "480p-16-9", "url": "https://*************.edge.naverncp.com/live/video/ls-20250814******-zTwK2/480p-16-9/playlist.m3u8", "resolution": "854x480", "videoBitrate": "1200000", "audioBitrate": "128000" }, { "name": "360p-16-9", "url": "https://*************.edge.naverncp.com/live/video/ls-20250814******-zTwK2/360p-16-9/playlist.m3u8", "resolution": "640x360", "videoBitrate": "800000", "audioBitrate": "96000" }, { "name": "audio-192k", "url": "https://*************.edge.naverncp.com/live/video/ls-20250814******-zTwK2/audio-192k/playlist.m3u8", "audioBitrate": "192000" }, { "name": "ABR", "url": "https://*************.edge.naverncp.com/live/video/ls-20250814******-zTwK2/playlist.m3u8" } ] } ``` #### When querying time machine URL The following is a sample response when querying a time machine URL. ``` { "content": [ { "name": "480p-16-9", "url": "https://*************.edge.naverncp.com/dvr/video/ls-20250814******-zTwK2/480p-16-9/playlist.m3u8", "resolution": "854x480", "videoBitrate": "1200000", "audioBitrate": "128000" }, { "name": "360p-16-9", "url": "https://*************.edge.naverncp.com/dvr/video/ls-20250814******-zTwK2/360p-16-9/playlist.m3u8", "resolution": "640x360", "videoBitrate": "800000", "audioBitrate": "96000" }, { "name": "audio-192k", "url": "https://*************.edge.naverncp.com/dvr/video/ls-20250814******-zTwK2/audio-192k/playlist.m3u8", "audioBitrate": "192000" }, { "name": "ABR", "url": "https://*************.edge.naverncp.com/dvr/video/ls-20250814******-zTwK2/playlist.m3u8" } ] } ``` #### When querying thumbnail URL The following is a sample response when querying a thumbnail URL. ``` { "content": [ { "name": "thumbnail", "url": "https://*************.edge.naverncp.com/live/image/ls-20250814******-zTwK2/thumbnail.jpg", "resizedUrl": [ { "type": "100px", "url": "https://*************.edge.naverncp.com/live/image/ls-20250814******-zTwK2/100px/thumbnail.jpg" }, { "type": "360px", "url": "https://*************.edge.naverncp.com/live/image/ls-20250814******-zTwK2/360px/thumbnail.jpg" }, { "type": "720px", "url": "https://*************.edge.naverncp.com/live/image/ls-20250814******-zTwK2/720px/thumbnail.jpg" } ] } ] } ```